
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(GebietPageMenu.COMPONENT_NAME)
public class GebietPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "gebietPageMenu";

  @Inject
  private transient GebietMainMenuEntry gebietMainMenuEntry;

  public GebietPageMenu() {
    super();
  }

  @Override
  public List<MenuEntry> getMenuEntriesSorted() {
    return gebietMainMenuEntry.getSubMenuEntriesSorted();
  }
}
